/*
    Lightmode: html.light
    Darkmode: html.dark
*/

.noauth-container .image {
    background: url(/public/img/penenpelope.png) center bottom / contain no-repeat;
    margin: 20px;
    position: relative;
}
.noauth-container .image:before {
    background-color: rgba(0, 0, 0, 0);
}
.noauth-container h2 {
    display:none;
}

img.logo {
    margin-top:10px;
}
.no-auth-wrapper img.logo {
    margin-top:30px;
}

.noauth-container {
    margin-top:40px;
}

.noauth-container .content button:not(.button-link) {
    background-color:var(--c3);
    color:white;
}

html.light .pnpde-social-welcome {
    color:black;
    margin-bottom:20%;
}
html.dark .pnpde-social-welcome {
    color:white;
    margin-bottom:20%;
}

.tiptap.ProseMirror {
    padding:1em;
}

html.light .tiptap__editor {
    background-color:white;
}

header, main, aside.menu-container {
    position:relative;
    opacity:0.95;
}
aside.menu-container::before {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -2;
}
html.light aside.menu-container::before {
    background: linear-gradient(0deg, rgba(255,200,87,1) 0%, rgba(255,200,87,1) 5%, rgba(255,200,87,0.5) 15%, rgba(255,255,255,0) 30%);
}
html.dark aside.menu-container::before {
    background: linear-gradient(0deg, rgba(8, 92, 97,1) 0%, rgba(8, 92, 97,1) 5%, rgba(8, 92, 97,0.5) 15%, rgba(255,255,255,0) 30%);
}

aside.menu-container::after {
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    background-repeat: no-repeat;
    background-position: bottom 20px center;
    background-size: 90%;
    background-image: url(https://pnpde.social/img/pnpde.social-title.pnpdewhite.svg);
    opacity:0.9;
}